import {
  to = github_repository_collaborators.iocage
  id = "iocage"
}
import {
  to = github_repository.iocage
  id = "iocage"
}

import {
  to = github_team.iocage
  id = "iocage"
}

import {
  to = github_team_members.iocage
  id = "iocage"
}

resource "github_team" "iocage" {
  name    = "iocage"
  privacy = "secret"
}

resource "github_team_members" "iocage" {
  team_id = github_team.iocage.id
  members {
    role     = "maintainer"
    username = "arrowd"
  }
  members {
    role = "member"
    username = "dgeo"
  }
}

resource "github_repository" "iocage" {
  name          = "iocage"
  description   = "A FreeBSD jail manager"
  has_downloads = true
  has_issues    = true
  has_projects  = true
  has_wiki      = true
  allow_merge_commit = true
  allow_rebase_merge = true
  allow_squash_merge = true
}

resource "github_repository_collaborators" "iocage" {
  repository = github_repository.iocage.id
  team {
    permission = "maintain"
    team_id = github_team.iocage.name
  }
}
