import {
  to = github_repository_collaborators.kyua
  id = "kyua"
}
import {
  to = github_repository.kyua
  id = "kyua"
}

import {
  to = github_team.kyua
  id = "kyua"
}

import {
  to = github_team_members.kyua
  id = "kyua"
}

resource "github_team" "kyua" {
  description = "Writers to the ATF and Kyua-related repositories"
  name    = "kyua"
  privacy = "secret"
}

resource "github_team_members" "kyua" {
  team_id = github_team.kyua.id
  members {
    role     = "maintainer"
    username = "bapt"
  }
  members {
    role     = "maintainer"
    username = "cemeyer"
  }
  members {
    role     = "member"
    username = "asomers"
  }
  members {
    role     = "maintainer"
    username = "lwhsu"
  }
  members {
    role     = "member"
    username = "kevans91"
  }
  members {
    role     = "member"
    username = "markjdb"
  }
  members {
    role     = "member"
    username = "emaste"
  }
  members {
    role     = "member"
    username = "ngie-eign"
  }
  members {
    role     = "member"
    username = "brooksdavis"
  }
  members {
    role     = "member"
    username = "vangyzen"
  }
}

resource "github_repository" "kyua" {
  name                 = "kyua"
  description          = "Port/Package build and test system"
  homepage_url         = "https://github.com/freebsd/kyua/wiki"
  has_wiki             = true
  has_discussions      = true
  has_issues           = true
  has_downloads        = true
  has_projects         = true
  vulnerability_alerts = false
}

resource "github_repository_collaborators" "kyua" {
  repository = github_repository.kyua.id
  team {
    permission = "maintain"
    team_id = github_team.kyua.name
  }
}
