import {
  to = github_repository_collaborators.pkg-status
  id = "pkg-status"
}
import {
  to = github_repository.pkg-status
  id = "pkg-status"
}

import {
  to = github_team.pkg-status
  id = "pkg-status"
}

import {
  to = github_team_members.pkg-status
  id = "pkg-status"
}

resource "github_team" "pkg-status" {
  name    = "pkg-status"
  privacy = "secret"
}

resource "github_team_members" "pkg-status" {
  team_id = github_team.pkg-status.id
  members {
    role     = "maintainer"
    username = "bdrewery"
  }
  members {
    role     = "maintainer"
    username = "dbaio"
  }
}

resource "github_repository" "pkg-status" {
  name          = "pkg-status"
  description   = "package builder status"
  has_downloads = true
  has_issues    = true
  has_projects  = true
  has_wiki      = true
  allow_merge_commit = true
  allow_rebase_merge = true
  allow_squash_merge = true
}

resource "github_repository_collaborators" "pkg-status" {
  repository = github_repository.pkg-status.id
  team {
    permission = "maintain"
    team_id = github_team.pkg-status.name
  }
}
