import {
  to = github_repository_collaborators.pkg
  id = "pkg"
}
import {
  to = github_repository.pkg
  id = "pkg"
}

import {
  to = github_team.pkg
  id = "pkg"
}

import {
  to = github_team_members.pkg
  id = "pkg"
}

resource "github_team" "pkg" {
  name        = "pkg"
  description = "pkg developers"
  privacy     = "secret"
}

resource "github_team_members" "pkg" {
  team_id = github_team.pkg.id
  members {
    role     = "maintainer"
    username = "bapt"
  }
  members {
    role     = "member"
    username = "0mp"
  }
  members {
    role     = "member"
    username = "bdrewery"
  }
  members {
    role     = "member"
    username = "brd"
  }
  members {
    role     = "member"
    username = "evadot"
  }
  members {
    role     = "member"
    username = "kevans91"
  }
  members {
    role     = "member"
    username = "markjdb"
  }
  members {
    role     = "member"
    username = "vstakhov"
  }
}

resource "github_repository" "pkg" {
  name                 = "pkg"
  description          = "Package management tool for FreeBSD. Help at #pkg on Libera Chat or pkg@FreeBSD.org"
  allow_merge_commit   = false
  allow_squash_merge   = false
  has_downloads        = true
  has_issues           = true
  has_projects         = true
  vulnerability_alerts = false
}

resource "github_repository_collaborators" "pkg" {
  repository = github_repository.pkg.id
  team {
    permission = "maintain"
    team_id = github_team.pkg.name
  }
}
