import {
  to = github_repository_collaborators.virtual_oss
  id = "virtual_oss"
}
import {
  to = github_repository.virtual_oss
  id = "virtual_oss"
}

import {
  to = github_team.virtual_oss
  id = "virtual_oss"
}

import {
  to = github_team_members.virtual_oss
  id = "virtual_oss"
}

resource "github_team" "virtual_oss" {
  name    = "virtual_oss"
  privacy = "secret"
}

resource "github_team_members" "virtual_oss" {
  team_id = github_team.virtual_oss.id
  members {
    role     = "maintainer"
    username = "christosmarg"
  }
}

resource "github_repository" "virtual_oss" {
  name          = "virtual_oss"
  description   = "Virtual OSSv4 compatible digital audio workstation daemon"
  has_downloads = true
  has_issues    = true
  has_projects  = true
  has_wiki      = true
  allow_merge_commit = true
  allow_rebase_merge = true
  allow_squash_merge = true
}

resource "github_repository_collaborators" "virtual_oss" {
  repository = github_repository.virtual_oss.id
  team {
    permission = "maintain"
    team_id = github_team.virtual_oss.name
  }
}
